Loading...
Searching...
No Matches
decaf::SpongeRng::RngException Class Reference

Exception thrown when The RNG fails (to seed itself) More...

`#include <spongerng.hxx>`

Inheritance diagram for decaf::SpongeRng::RngException:

## Public Member Functions

const char * | what () const DECAF_NOEXCEPT
| Description of exception.
| RngException (int err_code, const char *what_) DECAF_NOEXCEPT
| Construct.

## Public Attributes

const int | err_code
| errno that caused the reseed to fail.

## Detailed Description

Exception thrown when The RNG fails (to seed itself)

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/spongerng.hxx